Git-Url: 
http://git.frugalware.org/gitweb/gitweb.cgi?p=frugalware-current.git;a=commitdiff;h=eea790d6d470edddc53840303398314f10b0324f

commit eea790d6d470edddc53840303398314f10b0324f
Author: crazy <cr...@frugalware.org>
Date:   Sat Sep 4 15:30:21 2010 +0200

eric4-4.4.7-1-x86_64
* Version bump

diff --git a/source/xapps-extra/eric4/FrugalBuild 
b/source/xapps-extra/eric4/FrugalBuild
index 4c2c864..b6681de 100644
--- a/source/xapps-extra/eric4/FrugalBuild
+++ b/source/xapps-extra/eric4/FrugalBuild
@@ -2,7 +2,7 @@
# Maintainer: crazy <cr...@frugalware.org>

pkgname=eric4
-pkgver=4.3.0
+pkgver=4.4.7
pkgrel=1
pkgdesc="Eric4 is a full featured Python (and Ruby) IDE that is written in 
PyQt4."
_F_sourceforge_dirname="eric-ide"
@@ -14,19 +14,18 @@ source=($source \
${source/eric4-$pkgver/eric4-i18n-ru-$pkgver} \
${source/eric4-$pkgver/eric4-i18n-cs-$pkgver} \
${source/eric4-$pkgver/eric4-i18n-tr-$pkgver} \
-       $pkgname.desktop eric4-install-fix.patch)
-sha1sums=('6700480cbc8de3c09ec2674dbd50046e50b47fce' \
-          '289bbde3c5c5d2f3051be4bb7adf730b2aab8155' \
-          '32efa602938c596523e55913cfacb727c3ea464c' \
-          'c7557c9a20a5a0410b1ae8b81d10259e730dedfa' \
-          '64f6cc940e8ff334d2e57d1427c017db51635d06' \
-          'fb3923197b5341caca00823021984f35f9cc8db2' \
-          'bdc6b72e48c1cab4bf779ed72a61b42cc1f997e5' \
-          '67170f8acf2a3b7836232583bef2ba09807dbc80')
+       $pkgname.desktop)
+sha1sums=('308d37eaef94e4a771ace42dfc5950048315bbb1' \
+          '8b59a790f0663f5df14cc30cffa21ec081d45e97' \
+          'c6a6a81bf8d7008b97357b9a6df754b51282d47a' \
+          '9ba647a85c65e046de3fa2ad6045f0cf4b92750d' \
+          '2b1038bb094178f99598da1c8bad08bb14140ca8' \
+          '6a93368ba85ca5e4cf2e2133a18153fa4f29ae2a' \
+          'bdc6b72e48c1cab4bf779ed72a61b42cc1f997e5')
groups=('xapps-extra')
archs=('i686' 'x86_64')
options=('scriptlet')
-depends=('pyqt4>=4.3.3-2' 'qscintilla2-qt4>=2.2' 'qscintilla2-python-qt4>=2.2' 
'libxcursor')
+depends=('pyqt4>=4.7.5' 'qscintilla2-qt4>=2.4.5' 
'qscintilla2-python-qt4>=2.4.5' 'libxcursor')
rodepends=('shared-mime-info')

subpkgs=("$pkgname-i18n-de" "$pkgname-i18n-fr" "$pkgname-i18n-ru" 
"$pkgname-i18n-cs" "$pkgname-i18n-tr")
diff --git a/source/xapps-extra/eric4/eric4-install-fix.patch 
b/source/xapps-extra/eric4/eric4-install-fix.patch
deleted file mode 100644
index 20f86f8..0000000
--- a/source/xapps-extra/eric4/eric4-install-fix.patch
+++ /dev/null
@@ -1,32 +0,0 @@
---- eric4-4.3.0/install.py     2009-02-08 14:10:24.000000000 +0100
-+++ eric4-4.3.0-p/install.py   2009-02-09 23:34:04.000000000 +0100
-@@ -190,7 +190,7 @@
-     fname = os.path.join(pdir, "__init__.py")
-     if not os.path.exists(fname):
-         if not os.path.exists(pdir):
--            os.mkdir(pdir,  0755)
-+            os.makedirs(pdir,  0755)
-         f = open(fname, "wb")
-         f.write(\
- '''# -*- coding: utf-8 -*-
-@@ -215,7 +215,10 @@
-     if not specialInstall and qtDataDir is None:
-         try:
-             from PyQt4 import pyqtconfig
--            qtDataDir = pyqtconfig._pkg_config["qt_data_dir"]
-+          if distDir:
-+              qtDataDir = distDir + pyqtconfig._pkg_config["qt_data_dir"]
-+          else:
-+              qtDataDir = pyqtconfig._pkg_config["qt_data_dir"]
-         except (AttributeError, ImportError):
-             print
-             print "Please enter the name of the Qt data directory."
-@@ -494,7 +497,7 @@
-        cfg['ericTemplatesDir'],
-        cfg['ericCodeTemplatesDir'], cfg['ericOthersDir'],
-        cfg['bindir'], cfg['mdir'],
--       getAPIsPath(), apis)
-+       getAPIsPath()[len(distDir):], apis)
-     copyToFile(fn, config)
-
- def doDependancyChecks():
_______________________________________________
Frugalware-git mailing list
Frugalware-git@frugalware.org
http://frugalware.org/mailman/listinfo/frugalware-git

Reply via email to